import Vue from "vue";
import Router from "vue-router";

import Index from "@/pages/index";
import workPlace from "@/pages/workPlace"
Vue.use(Router);

export default new Router({
  routes: [
    {
      path: "/",
      redirect: "/index"
    },
    {
      path: "/index",
      name: "index",
      component: Index,
      redirect: "/workplace",
      children:[{
        path: "/workplace",
        name: "workPlace",
        component: workPlace,
      }]
    },
    {
      path: "/table_example", // 表格实例
      name: "table_example",
      component: () => import("@/pages/table_example")
    },
      
    
  ]
});
